package com.sinognss.sm.comm;

/**
 * 通讯状态回调
 * @author Canney
 * @date 2016年3月14日 上午9:44:20
 *
 */
interface ICommStatusListener {

	/**
	 * 连接成功后回调
	 * 
	 * @author ChenQiang
	 * @date 2016年3月14日 下午4:16:37
	 */
	void onConnected();
	
	/**
	 * 断开连接回调
	 * 
	 * @author ChenQiang
	 * @date 2016年3月14日 下午4:16:57
	 */
	void onDisconnected(boolean userDisconnect);
	
	/**
	 * 连接出错
	 * @param code 出错代码 {@link BluetoothErrorCodes}
	 * @author ChenQiang
	 * @date 2016年3月14日 下午4:17:11
	 */
	void onError(int code);
}